# xarray.core.rolling.DatasetCoarsen

class `xarray.core.rolling.``DatasetCoarsen`(obj, windows, boundary, side, coord_func)
  `__init__`(obj, windows, boundary, side, coord_func)

    Moving window object.

    Parameters:

    - obj (Dataset or DataArray) – Object to window.
    - windows (A mapping from a dimension name to window size) –
      dim : str
        Name of the dimension to create the rolling iterator along (e.g., time).
      window : int
        Size of the moving window.
    - boundary ('exact' | 'trim' | 'pad') – If ‘exact’, a ValueError will be raised if dimension size is not a multiple of window size. If ‘trim’, the excess indexes are trimed. If ‘pad’, NA will be padded.
    - side ('left' or 'right' or mapping from dimension to 'left' or 'right') –
    - coord_func (mapping from coordinate name to func.) –

    Returns: |
    Return type: | coarsen

  Methods

  `__init__`(obj, windows, boundary, side, …) | Moving window object.
  `all`(**kwargs) | Reduce this DatasetCoarsen’s data by applying all along some dimension(s).
  `any`(**kwargs) | Reduce this DatasetCoarsen’s data by applying any along some dimension(s).
  `argmax`(**kwargs) | Reduce this DatasetCoarsen’s data by applying argmax along some dimension(s).
  `argmin`(**kwargs) | Reduce this DatasetCoarsen’s data by applying argmin along some dimension(s).
  `count`(**kwargs) | Reduce this DatasetCoarsen’s data by applying count along some dimension(s).
  `max`(**kwargs) | Reduce this DatasetCoarsen’s data by applying max along some dimension(s).
  `mean`(**kwargs) | Reduce this DatasetCoarsen’s data by applying mean along some dimension(s).
  `median`(**kwargs) | Reduce this DatasetCoarsen’s data by applying median along some dimension(s).
  `min`(**kwargs) | Reduce this DatasetCoarsen’s data by applying min along some dimension(s).
  `prod`(**kwargs) | Reduce this DatasetCoarsen’s data by applying prod along some dimension(s).
  `std`(**kwargs) | Reduce this DatasetCoarsen’s data by applying std along some dimension(s).
  `sum`(**kwargs) | Reduce this DatasetCoarsen’s data by applying sum along some dimension(s).
  `var`(**kwargs) | Reduce this DatasetCoarsen’s data by applying var along some dimension(s).

  Attributes

  `boundary` |
  `coord_func` |
  `obj` |
  `side` |
  `trim_excess` |
  `windows` |